//覆盖一些element-ui样式

.el-breadcrumb__inner,
.el-breadcrumb__inner a {
  font-weight: 400 !important;
}

.el-breadcrumb {
  &__inner {
    a {
      color: $ritx-lime-green;
    }

    .no-redirect {
      color: $true-white;
    }
  }
}

.el-upload {
  input[type="file"] {
    display: none !important;
  }
}

.el-upload__input {
  display: none;
}

.cell {
  .el-tag {
    margin-right: 0px;
  }
}

.small-padding {
  .cell {
    padding-left: 5px;
    padding-right: 5px;
  }
}

.fixed-width {
  .el-button--mini {
    padding: 7px 10px;
    width: 60px;
  }
}

.status-col {
  .cell {
    padding: 0 10px;
    text-align: center;

    .el-tag {
      margin-right: 0px;
    }
  }
}

//暂时性解决dialog 问题 https://github.com/ElemeFE/element/issues/2461
.el-dialog {
  transform: none;
  left: 0;
  position: relative;
  margin: 0 auto;
}

//文章页textarea修改样式
.article-textarea {
  textarea {
    padding-right: 40px;
    resize: none;
    border: none;
    border-radius: 0px;
    border-bottom: 1px solid #bfcbd9;
  }
}

//element ui upload
.upload-container {
  .el-upload {
    width: 100%;

    .el-upload-dragger {
      width: 100%;
      height: 200px;
    }
  }
}

//dropdown
.el-dropdown-menu {
  a {
    display: block
  }
}

// button
.el-button {
  &--ritx-primary {
    background-color: $ritx-light-green;
    transition: $ritx-smooth;
    color: #ffffff;

    &:hover {
      background-color: $ritx-dark-green;
    }
  }
}

// from label
.el-form{
  .el-form-item{
    &__label{
      font-size: 16px;
      color: $ritx-dark-green;
      padding: 0;
    }
    &__content{
      line-height: 24px;

      .el-select{
        &.ritx-select{
          width: 100%;
          .el-input{
            &__inner{
                color: $ritx-greyish-brown;
                font-size: 14px;
                border: solid 1px $ritx-dark-green;
                background-color: $ritx-light-grey;
            }
          }
        }
      }
      .el-checkbox-group{
        &.ritx-checkbox{
          .el-checkbox{
            width: 33%;
            color: $ritx-greyish-brown;
            font-size: 14px;
            font-weight: normal;
            margin-left: 0;
            &__inner{
              width: 16px;
              height: 16px;
              border: solid 1px $ritx-dark-green;
              background-color: #ffffff;
            }

            .el-checkbox__inner::after {
              border: 4px solid $ritx-light-green;
              border-left: 0;
              border-top: 0;
              height: 11px;
              width: 3px;
              top: -4px;
              left: 6px;
            }

            .el-checkbox__input.is-checked+.el-checkbox__label {
              color: $ritx-greyish-brown;
            }
          }
        }
      }
      .el-autocomplete, .el-select{
        &.ritx-autocomplete{
          width: 100%;
          .el-input{
            &__inner{
                color: $ritx-greyish-brown;
                font-size: 14px;
                border: solid 1px $ritx-dark-green;
                background-color: $ritx-light-grey;
            }
          }

          .el-tag {
            background-color: $ritx-dark-green;
            color: #ffffff;
            font-weight: bold;
            padding-left: 15px;
          }
          .el-tag__close.el-icon-close {
            background-color: transparent;
            position: absolute;
            left: 8px;
            top: 8px;
          }
          .el-select__input {
            font-weight: bold;
          }
        }
      }
    }
  }
}

.el-select-dropdown {
  &.is-multiple {
    .el-select-dropdown__item.selected {
      color: $ritx-greyish-brown;
    }
  }
  .el-select-dropdown__item {
    font-weight: bold;
    color: $ritx-dark-grey;
  }
}
.el-popper[x-placement^=bottom] {
  margin-top: 0;
  border-color: $ritx-dark-green;
  border-top-left-radius: 0;
  border-top-right-radius: 0;

  .popper__arrow {
    display: none;
  }
}

.el-tabs {
  &__nav-scroll {
    border-top-right-radius: 8px;
    border-top-left-radius: 8px;
  }

  &\-\-border-card {
    border-radius: 8px;
    border: none;
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.18);

    >.el-tabs__header {
      border-top-right-radius: 8px;
      border-top-left-radius: 8px;
      .el-tabs__item {
        font-size: 18px;
        font-weight: bold;

        &:hover {
          color: $ritx-mid-green!important;
        }

        &.is-active {
          color: $ritx-dark-green;
        }
      }
    }
  }
  &__nav-wrap {
    background-color: $ritx-light-grey;
    border-color: $ritx-light-grey;
  }

}

.el-table {
  th>.cell, .cell {
    color: $ritx-dark-grey;
    font-size: 16px;
    padding-left: 5px;
  }
  th.is-leaf {
    border-bottom: none;
  }

  &.\-\-grey {
    th.is-leaf {
      border-bottom: 2px solid $ritx-light-grey;
    }

    th>.cell {
      color: $ritx-grey;
    }
  }
}

.el-form .el-form-item__content .el-select.ritx-autocomplete .el-tag__close.el-icon-close {
  left: 0px!important;
  top: 5px!important;
}
.el-form .el-form-item__content .el-select.ritx-autocomplete .el-tag {
  position: relative!important;
}

li.el-select-dropdown__item.selected {
  display: none;
}

.el-icon-arrow-up:before {
  color: $ritx-dark-green;
}
